crc.h File Reference

Classes for CRC-32 and CRC-32C checksum algorithm. More...

Go to the source code of this file.

## Classes

class | CRC32
| CRC-32 Checksum Calculation. More...
class | CRC32C
| CRC-32C Checksum Calculation. More...

## Macros

#define | CRC32_INDEX(c) (c & 0xff)
#define | CRC32_SHIFTED(c) (c >> 8)

## Variables

const word32 | CRC32_NEGL = 0xffffffffL

## Detailed Description

Classes for CRC-32 and CRC-32C checksum algorithm.

Definition in file crc.h.